# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: transform.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='transform.proto',
  package='Transform',
  serialized_pb=_b('\n\x0ftransform.proto\x12\tTransform\"5\n\tVectorMsg\x12\x0c\n\x01x\x18\x01 \x01(\x02:\x01\x30\x12\x0c\n\x01y\x18\x02 \x01(\x02:\x01\x30\x12\x0c\n\x01z\x18\x03 \x01(\x02:\x01\x30\"A\n\x07QuatMsg\x12\x0c\n\x01x\x18\x01 \x01(\x02:\x01\x30\x12\x0c\n\x01y\x18\x02 \x01(\x02:\x01\x30\x12\x0c\n\x01z\x18\x03 \x01(\x02:\x01\x30\x12\x0c\n\x01w\x18\x04 \x01(\x02:\x01\x31\"Q\n\x07PoseMsg\x12$\n\x06vector\x18\x01 \x01(\x0b\x32\x14.Transform.VectorMsg\x12 \n\x04quat\x18\x02 \x01(\x0b\x32\x12.Transform.QuatMsg\"\xae\x01\n\x11JointTransformMsg\x12\x14\n\nagent_name\x18\x01 \x01(\t:\x00\x12?\n\x10joints_transform\x18\x02 \x03(\x0b\x32%.Transform.JointTransformMsg.JointMsg\x1a\x42\n\x08JointMsg\x12\x14\n\njoint_name\x18\x01 \x01(\t:\x00\x12 \n\x04pose\x18\x02 \x01(\x0b\x32\x12.Transform.PoseMsg')
)
_sym_db.RegisterFileDescriptor(DESCRIPTOR)




_VECTORMSG = _descriptor.Descriptor(
  name='VectorMsg',
  full_name='Transform.VectorMsg',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='x', full_name='Transform.VectorMsg.x', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=True, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='y', full_name='Transform.VectorMsg.y', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=True, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='z', full_name='Transform.VectorMsg.z', index=2,
      number=3, type=2, cpp_type=6, label=1,
      has_default_value=True, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=30,
  serialized_end=83,
)


_QUATMSG = _descriptor.Descriptor(
  name='QuatMsg',
  full_name='Transform.QuatMsg',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='x', full_name='Transform.QuatMsg.x', index=0,
      number=1, type=2, cpp_type=6, label=1,
      has_default_value=True, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='y', full_name='Transform.QuatMsg.y', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=True, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='z', full_name='Transform.QuatMsg.z', index=2,
      number=3, type=2, cpp_type=6, label=1,
      has_default_value=True, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='w', full_name='Transform.QuatMsg.w', index=3,
      number=4, type=2, cpp_type=6, label=1,
      has_default_value=True, default_value=1,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=85,
  serialized_end=150,
)


_POSEMSG = _descriptor.Descriptor(
  name='PoseMsg',
  full_name='Transform.PoseMsg',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='vector', full_name='Transform.PoseMsg.vector', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='quat', full_name='Transform.PoseMsg.quat', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=152,
  serialized_end=233,
)


_JOINTTRANSFORMMSG_JOINTMSG = _descriptor.Descriptor(
  name='JointMsg',
  full_name='Transform.JointTransformMsg.JointMsg',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='joint_name', full_name='Transform.JointTransformMsg.JointMsg.joint_name', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=True, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='pose', full_name='Transform.JointTransformMsg.JointMsg.pose', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=344,
  serialized_end=410,
)

_JOINTTRANSFORMMSG = _descriptor.Descriptor(
  name='JointTransformMsg',
  full_name='Transform.JointTransformMsg',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='agent_name', full_name='Transform.JointTransformMsg.agent_name', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=True, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
    _descriptor.FieldDescriptor(
      name='joints_transform', full_name='Transform.JointTransformMsg.joints_transform', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None),
  ],
  extensions=[
  ],
  nested_types=[_JOINTTRANSFORMMSG_JOINTMSG, ],
  enum_types=[
  ],
  options=None,
  is_extendable=False,
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=236,
  serialized_end=410,
)

_POSEMSG.fields_by_name['vector'].message_type = _VECTORMSG
_POSEMSG.fields_by_name['quat'].message_type = _QUATMSG
_JOINTTRANSFORMMSG_JOINTMSG.fields_by_name['pose'].message_type = _POSEMSG
_JOINTTRANSFORMMSG_JOINTMSG.containing_type = _JOINTTRANSFORMMSG
_JOINTTRANSFORMMSG.fields_by_name['joints_transform'].message_type = _JOINTTRANSFORMMSG_JOINTMSG
DESCRIPTOR.message_types_by_name['VectorMsg'] = _VECTORMSG
DESCRIPTOR.message_types_by_name['QuatMsg'] = _QUATMSG
DESCRIPTOR.message_types_by_name['PoseMsg'] = _POSEMSG
DESCRIPTOR.message_types_by_name['JointTransformMsg'] = _JOINTTRANSFORMMSG

VectorMsg = _reflection.GeneratedProtocolMessageType('VectorMsg', (_message.Message,), dict(
  DESCRIPTOR = _VECTORMSG,
  __module__ = 'transform_pb2'
  # @@protoc_insertion_point(class_scope:Transform.VectorMsg)
  ))
_sym_db.RegisterMessage(VectorMsg)

QuatMsg = _reflection.GeneratedProtocolMessageType('QuatMsg', (_message.Message,), dict(
  DESCRIPTOR = _QUATMSG,
  __module__ = 'transform_pb2'
  # @@protoc_insertion_point(class_scope:Transform.QuatMsg)
  ))
_sym_db.RegisterMessage(QuatMsg)

PoseMsg = _reflection.GeneratedProtocolMessageType('PoseMsg', (_message.Message,), dict(
  DESCRIPTOR = _POSEMSG,
  __module__ = 'transform_pb2'
  # @@protoc_insertion_point(class_scope:Transform.PoseMsg)
  ))
_sym_db.RegisterMessage(PoseMsg)

JointTransformMsg = _reflection.GeneratedProtocolMessageType('JointTransformMsg', (_message.Message,), dict(

  JointMsg = _reflection.GeneratedProtocolMessageType('JointMsg', (_message.Message,), dict(
    DESCRIPTOR = _JOINTTRANSFORMMSG_JOINTMSG,
    __module__ = 'transform_pb2'
    # @@protoc_insertion_point(class_scope:Transform.JointTransformMsg.JointMsg)
    ))
  ,
  DESCRIPTOR = _JOINTTRANSFORMMSG,
  __module__ = 'transform_pb2'
  # @@protoc_insertion_point(class_scope:Transform.JointTransformMsg)
  ))
_sym_db.RegisterMessage(JointTransformMsg)
_sym_db.RegisterMessage(JointTransformMsg.JointMsg)


# @@protoc_insertion_point(module_scope)
